<?php

class bCommande extends BackModule {

    public function __construct($formvars = array())
    {
        parent::__construct($formvars);
        $this->droits['ADD'] = false;
        $this->droits['DEL'] = false;
    }

    function update($formvars = array(), $table = null, $langue = true) {

        $commande = new Commande;

        $tags = array('from_bo' => true);

        if (empty($formvars['envoi'])) {
            $formvars['envoi'] = false;
            $tags['colis'] = @$formvars['commande_colis'];
        } else {
            $formvars['envoi'] = true;
            $tags['motif'] = @$formvars['commande_motif'];
            $tags['colis'] = @$formvars['commande_colis'];
            $tags['bc'] = @$formvars['commande_bc'];
            $tags['fc'] = @$formvars['commande_fc'];
        }

        //$commande->updateConfirm($formvars['commande_id'], $formvars['commande_confirme']);
        $commande->changeStatut($formvars['commande_id'], $formvars['commande_statut_id'], $formvars['envoi'], $tags);
    }

    function delete($formvars = array()) {

        // on gere les stocks en cas de suppression de la commande
        $commande = new Commande;
        $commande->changeStatut($formvars['back_id'], 0);

        $return = parent::delete($formvars);
        return $return;
    }

    function Listing($formvars = array()) {
        // TODO : penser a ajouter le numero de transaction dans le listing et la recherche
        // RECHERCHE
        $form = new BackForm("# Commande", "text", "c.commande_id");
        $form->setVar("compare", "EQUAL");
        $form->setVar("class_groupe", "col-xs-4");
        $this->addForm($form);

        $form = new BackForm("# Facture", "text", "c.commande_facture_numero");
        $form->setVar("class_groupe", "col-xs-4");
        $form->setVar("compare", "EQUAL");
        $this->addForm($form);

        $form = new BackForm("# Client", "text", "c.client_id");
        $form->setVar("class_groupe", "col-xs-4");
        $form->setVar("compare", "EQUAL");
        $this->addForm($form);

        $form = new BackForm("Nom Client", "text", "c.client_nom");
        $form->setVar("class_groupe", "col-xs-6");
        $this->addForm($form);

        $form = new BackForm("Email Client", "text", "c.client_email");
        $form->setVar("class_groupe", "col-xs-6");
        $form->setVar("compare", "LIKE");
        $this->addForm($form);

        $form = new BackForm("Date Commande", "between", "c.commande_date_ajout");
        $form->setVar("class_groupe", "col-xs-6");
        $this->addForm($form);

        $form = new BackForm("Date Facture", "between", "c.commande_facture_date");
        $form->setVar("class_groupe", "col-xs-6");
        $this->addForm($form);

        $form = new BackForm("Mode Paiement", "select", "cpaie.paiement_id");
        $form->setVar("class_groupe", "col-xs-6");
        $form->addOption("", "---");
        $form->addOptionSQL(array("SELECT paiement_id, paiement_nom_nom FROM paiement_nom WHERE langue_id = '" . LANGUE . "' ORDER BY paiement_nom_nom"));
        $this->addForm($form);

        $form = new BackForm("Boutique", "select", "c.boutique_id");
        $form->setVar("class_groupe", "col-xs-6");
        $form->addOption("", "---");
        $form->addOptionSQL(array("SELECT boutique_id, boutique_nom FROM boutique ORDER BY boutique_id"));
        $this->addForm($form);

        $form = new BackForm("Statut Commande", "multi_statut", "c.commande_statut_id", array('1', '2', '3', '97', '98'));
        $form->setVar("compare", "EQUAL");
        $this->addForm($form);

        //-- RECHERCHE
        // SQL
        $sql = "SELECT DISTINCT(c.commande_id), c.commande_id";
        $sql.=", c.commande_date_ajout";
        $sql.=", btq.boutique_nom";
        $sql.=", CONCAT(c.client_prenom, ' ', c.client_nom,' (#',c.client_id,')<br/><i>',cl.client_commentaire,'</i>')";
        //$sql.=", CONCAT('<p style=\"text-align:center\"><img src=\"/back/styles/images/', IF(c.commande_confirme = 0, 'rouge.png', 'vert.png'), '\" /></p>')";
        $sql.=", csn.commande_statut_nom_nom";
        //$sql.=", CONCAT(commande_statut_nom_nom,'<br/>',(SELECT IF(COUNT(commande_paiement_id)>1,GROUP_CONCAT('<span class=\"paiement',commande_paiement_statut_id,'\">',commande_paiement_nom,' - ',ROUND(commande_paiement_montant,2),'&euro;</span>' SEPARATOR '<br/>'),'') FROM commande_paiement WHERE commande_id = c.commande_id))";
        //$sql.=", IF(p.paiement_id = 1 AND cref.tpe_reference_id,CONCAT(paiement_image,'|',UNCOMPRESS(cref.tpe_reference_retour_info)),paiement_image)";

        $sql.=", p.paiement_image";
        $sql.=", CONCAT(c.commande_livraison_nom,'<br/>',c.livraison_pays,' (',c.livraison_pays_code,')')";
        $sql.=", commande_livraison_delai";
        $sql.=", commande_livraison_colis";
        $sql.=", commande_livraison_info";
        $sql.=", SUM(IF(cp.produit_id IS NULL, 0, cp.produit_quantite))";
        $sql.=", c.commande_total_ttc";
        $sql.=",''";
        $sql.=", CONCAT(\"<a href='" . SITE_URL . "pdf/commande/?commande_id=\",c.commande_id,\"&client_id=\",c.client_id,\"'><i class='fa-file-pdf-o fa' style='font-size: 1.3em'></i></a>\")";
        // $sql.=", CONCAT(\"<a href='" . SITE_URL . "pdf/livraison/?commande_id=\",c.commande_id,\"&client_id=\",c.client_id,\"'><img src='/back/styles/images/pdf.gif' alt='Bon de commande' border='0' /></a>\")";
        $sql.=", IF(c.commande_facture_numero>0,CONCAT(\"<a href='" . SITE_URL . "facture.php?commande_id=\",c.commande_id,\"&client_id=\",c.client_id,\"'><img src='/back/styles/images/pdf.gif' alt='Bon de commande' border='0' /></a>\"),'')";
				$sql.=", c.commande_referer";
        $sql.=" FROM (commande c, client cl)";
        $sql.=" LEFT JOIN commande_produit cp ON (cp.commande_id = c.commande_id)";
        $sql.=" LEFT JOIN commande_paiement cpaie ON (cpaie.commande_id = c.commande_id AND cpaie.paiement_id IS NOT NULL)";
        $sql.=" LEFT JOIN commande_statut cs ON (cs.commande_statut_id = c.commande_statut_id)";
        $sql.=" LEFT JOIN paiement p ON (p.paiement_id = cpaie.paiement_id)";
        $sql.=" LEFT JOIN tpe_reference cref ON (cref.commande_id = c.commande_id)";
        $sql.=" LEFT JOIN commande_statut_nom csn ON (csn.commande_statut_id = cs.commande_statut_id AND csn.langue_id='1')";
        $sql.=" LEFT JOIN boutique btq ON (cl.boutique_id = btq.boutique_id)";

        $sql.=" WHERE c.client_id = cl.client_id";
        if (!empty($formvars['client']))
            $sql.=" AND c.client_id = '" . $formvars['client'] . "'";

        $this->request = $sql;
        //-- SQL
        // LABELS
        $label = new BackLabel("ID");
        $this->addLabel($label);

        $label = new BackLabel("DATE", 'date');
        $label->setVar('option', array("%d/%m/%Y - %H\h%i"));
        $this->addLabel($label);

        $label = new BackLabel("BOUTIQUE");
        $this->addLabel($label);

        $label = new BackLabel("CLIENT");
        $this->addLabel($label);

        /*$label = new BackLabel("CONFIRMEE");
        $this->addLabel($label);*/
        
        $label = new BackLabel("STATUT", "label");
        $this->addLabel($label);

        $label = new BackLabel("Mode de paiement", 'image');
        $this->addLabel($label);

        $label = new BackLabel("LIVRAISON");
        $this->addLabel($label);

        $label = new BackLabel("DELAI");
        $this->addLabel($label);

        $label = new BackLabel("NUM COLIS");
        $this->addLabel($label);

        $label = new BackLabel("COMMENTAIRE", "eip");
        $label->setVar('eip_url', "/back/html/commande_export/custom/update_commentaire/");
        $label->setVar('eip_type', "textarea");
        $label->setVar('eip_title', "Editer le commentaire");
        $this->addLabel($label);

        $label = new BackLabel("NB PROD");
        $this->addLabel($label);

        $label = new BackLabel("TOTAL TTC", "devise");
        $this->addLabel($label);

        /* $label = new BackLabel("DETAILS", 'custom');
          $label->setVar('option', array("details"));
          $this->addLabel($label); */

        $label = new BackLabel("DETAILS", 'action');
        $label->setVar('url', "/back/html/commande_export/custom/details/");
        $label->setVar('texte', '<i class="fa fa-info-circle" style="font-size: 1.3em"></i>');
        $this->addLabel($label);

        $label = new BackLabel("Bon de commande", "pdf", "BC");
        $this->addLabel($label);
        
        /*$label = new BackLabel("Bon de livraison", "pdf", "BL");
        $this->addLabel($label);*/

        $label = new BackLabel("Facture", "pdf", "FC");
        $this->addLabel($label);
        
        $label = new BackLabel("REF.");
        $this->addLabel($label);        

        //-- LABELS

        return $this->displayList($formvars['type']);
    }

    function Form($formvars = array()) {

        if (empty($formvars['id']))
            $this->path[] = "<span> &raquo; <a href='" . $this->link_to('addForm') . "'>Ajout d'une nouvelle commande</a></span>";
        else {
            $sql = "SELECT CONCAT('#', commande_id ,'') as data FROM commande WHERE commande_id = '" . $formvars['id'] . "'";
            $this->sql->query($sql, SQL_ALL, SQL_ASSOC);
            $data = $this->sql->record[0];

            $this->path[] = "<span> &raquo; <a href='" . $this->link_to('modForm', array('id' => $formvars['id'])) . "'>Edition de la commande : <strong>" . $data['data'] . "</strong></a></span>";
        }

        // SQL
        if (!empty($formvars['id'])) {
            $sql = "SELECT *";
            $sql.=" FROM (commande)";
            $sql.=" WHERE commande_id='" . $formvars['id'] . "'";

            $this->request = $sql;
        }
        //-- SQL
        // Champs du formulaire
        //GROUP
        $form = new BackForm("Informations", "group");
        $this->addForm($form);
        //--GROUP

        $form = new BackForm("Client ID", "hidden", "client_id");
        $this->addForm($form);



        $form = new BackForm("# COMMANDE", "text", "commande_id");
        $form->addAttr('readonly', 'readonly');
        $this->addForm($form);
        $form = new BackForm("Envoi", "checkbox", "envoi");
        $form->setVar('comment', "Cochez cette case pour effectuer un envoi d'email au client");
        $this->addForm($form);
/*
        $form = new BackForm("Confirm&eacute;e ?", "select", "commande_confirme");
        $form->addAttr('class', 'required');
        $form->setVar('comment', "Non confirm&eacute;e si la commande contient des produits necessitant un justificatif d'identit&eacute; et que le client ne l'a pas fournit");
        $form->addOptionSQL(array("(SELECT '0', 'Non') UNION (SELECT '1', 'Oui')"));
        $this->addForm($form);
*/
        $form = new BackForm("Statut", "spe_statut_option", "commande_statut_id");
        $form->addAttr('class', 'required');
        $form->setVar('param', "SELECT cs.commande_statut_id, csn.commande_statut_nom_nom, csn.commande_statut_nom_email_html FROM (commande_statut cs, commande_statut_nom csn) WHERE cs.commande_statut_id = csn.commande_statut_id AND csn.langue_id='" . LANGUE . "' ORDER BY cs.commande_statut_rang");
        $this->addForm($form);



        //-- Champs du formulaire
        if (!isset($formvars['div'])) {
            $formvars['div'] = '';
        }
        return $this->displayForm($formvars['id'], $formvars['div']);
    }

}
