<?php

use Phinx\Migration\AbstractMigration;
use Phinx\Db\Adapter\MysqlAdapter;

class AddDevise extends AbstractMigration
{
    public function change()
    {
        $this
            ->table("devise", ['id' => false, 'primary_key' => ["devise_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('devise_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('devise_nom', 'string', ['null' => false, 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'devise_id'])
            ->addColumn('devise_taux', 'string', ['null' => false, 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'devise_nom'])
            ->addColumn('devise_emplacement', 'integer', ['null' => false, 'default' => '1', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'comment' => "1 derriere, 2 devant", 'after' => 'devise_statut_id'])
            ->addColumn('devise_code', 'string', ['null' => false, 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'devise_emplacement'])
            ->addColumn('devise_code_iso', 'char', ['null' => false, 'limit' => 3, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'devise_code'])
            ->create();
    }
}
