<?php

use Phinx\Migration\AbstractMigration;

class AddEmailInscription extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $data = [
            'email_code' => "inscription_client",
            'email_nom' => "Inscription client",
            'email_description' => "Mail envoyé au client lorsqu'il s'inscrit",
            'email_statut' => 1,
        ];

        $this->table('email')
            ->insert($data)
            ->save();

        $e_id = $this->getAdapter()->getConnection()->lastInsertId();

        $dataNom = [
            "email_id" => $e_id,
            "langue_id" => 1,
            "email_nom_sujet" => "[%SITE_NAME%] Inscription",
            "email_nom_content" => "Félicitation, vous êtes maintenant inscrit ! <br/> %SITE_NAME%",
        ];

        $this->table('email_nom')
            ->insert($dataNom)
            ->save();
    }
}
