<?php

namespace Console\Command;

use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use Symfony\Component\Console\Input\InputArgument;
use Symfony\Component\Console\Input\InputOption;
use Symfony\Component\Console\Command\Command;

use Excel;
use Catalogue;

class ImportCatalogue extends Command
{
    protected function configure()
    {
        $this
            ->setName('import:catalogue')
            ->setDescription('importe un fichier via la classe catalgoue')
            ->addArgument(
                'method',
                InputArgument::REQUIRED,
                'method name to execute'
            )->addArgument(
                'file',
                InputArgument::REQUIRED,
                'File name'
            )->addArgument(
                'sheet',
                InputArgument::OPTIONAL,
                'precise une feuille de l\'excel a importer'
            );
    }

    protected function execute(InputInterface $input, OutputInterface $output)
    {

        $catalogue = new Catalogue($output);
        $excel = new Excel();

        $sheets = array();
        if ($input->getArgument('sheet')) {
            $sheets[] = $input->getArgument('sheet');
        }

        $objPHPExcel = $excel->readFile($input->getArgument('file'), $sheets);

        $catalogue->import($input->getArgument('method'), $objPHPExcel->getActiveSheet());
    }

}