<?php

namespace Controller;

use Ads;
use Cache\BoutiqueCache;
use Boutique;
use Categorie;
use Shopbydedi\Listing;
use Tree\Node;
use Tree\Tree;
//use Listing;

/**
 * Class MenuController
 *
 * @package Controller
 */
class MenuController extends Controller
{

    /**
     * @return mixed
     */
    public function display()
    {
        $phpCache = new BoutiqueCache;
        $boutique = Boutique::getInstance();
        $lgId = $boutique->getLangue()->id;

        $arrMenu = $phpCache->get('arrMenu_'. $lgId . '_' . $boutique->id);
        if ($arrMenu === false) {
            $categorie = new Categorie;
            $categories = $categorie->get();
            $arrMenu = \Tools::buildTree($categories, 'categorie_id');
            $phpCache->create('arrMenu_'. $lgId . '_' . $boutique->id, $arrMenu);
        }
        $this->template->assign('arrMenu', $arrMenu);

        return $this->response($this->template->fetch('parts/menu.tpl'));
    }
}
