{extends file='account/account_page_abstract.tpl'}

{block name="popup"}
    {include file="popup/delete_address.tpl"}
{/block}

{block name='accountContent'}
    {if !empty($arrAdresse)}
        <h1 class="titleLvl4">{txt value="Mes adresses"}</h1>
        {if !empty($success)}
            <div class="row">
                <div class="col-xs-12">
                    {include file="form/flash.tpl" class="success" messages=$success}
                </div>
            </div>
        {/if}
        {foreach $arrAdresse as $adresse}
            <div class="historyOrderBlock clearfix">
                <div class="historyRecapBlock">
                    <p class="addressName"><b>Adresse "{$adresse.adresse_libelle}"</b></p>
                    <p>
                        {$adresse.adresse_prenom} {$adresse.adresse_nom}
                    </p>
                    {if !empty($adresse.adresse_societe)}
                        <p>{$adresse.adresse_societe}</p>
                    {/if}
                    <p>{$adresse.adresse_rue}</p>
                    <p>{$adresse.adresse_cp} - {$adresse.adresse_ville}</p>
                    <p>{$adresse.pays_nom_nom}</p>
                    <p>{$adresse.adresse_telephone}</p>
                    {if !empty($adresse.adresse_complement)}
                        <p><b>{txt value="Complément d'adresse :"}</b> {$adresse.adresse_complement}</p>
                    {/if}
                    {if $adresse.adresse_default == 1}
                        <p>{txt value="Ceci est votre adresse d'expedition par défaut"}</p>
                    {/if}


                    <div class="wrapLeft">
                        {*<a class="checkbox filterCheckbox " href="/recherche/marque-stoats-12?motclef=barre">*}
                                    {*<span class="spanCheckbox">*}
                                        {*<span></span>*}
                                    {*</span>*}
                            {*<span class="text">Stoats</span>*}
                        {*</a>*}

                        {if $adresse.adresse_default != 1}
                            <a class="checkbox {if $adresse.adresse_default == 1}active{/if}" href="{url page="adresses_default"}?adresse_id={$adresse.adresse_id}&adresse_default={!$adresse.adresse_default}">
                                <span class="spanCheckbox">
                                    <span></span>
                                </span>
                                <span class="text">{txt value="Adresse d'expedition par défaut"}</span>
                            </a>
                        {/if}
                    </div>
                </div>
                <div class="historyOrderNav">
                    <div class="row">
                        <div class="col-sm-6">
                            <a href="{url page="compte_adresse_edit"}?adresse_id={$adresse.adresse_id}" class="mainLink">{txt value="Modifier l'adresse"}</a>
                        </div>
                        <div class="col-sm-6">
                            <a class="btn btnMain wide smaller" id="deleteAdresse" data-adresse-id="{$adresse.adresse_id}">{txt value="Supprimer l'adresse"}</a>
                        </div>
                    </div>
                </div>
            </div>
        {/foreach}
    {/if}

    <a href="{url page="compte_adresse_edit"}?nouveau=1" class="btn btnMain wide">{txt value="Ajouter une nouvelle adresse"}</a>

{/block}

{block name="script-js"}
    <script type="application/javascript">
        $(document).ready(function () {
            var toToggle = "#"+$('div#modalDeleteAddress').attr('id');
            $('a#deleteAdresse').on('click',function (e) {
                e.preventDefault();
                $('input#adresseId').val($(this).attr('data-adresse-id'));
                $(toToggle).modal('toggle');
            });

            $('label.checkbox').on('click',function (e) {
               var form = $(this).attr("data-form");
               $('form'+form).submit();
            });
        });
    </script>

{/block}