{foreach $livraisons as $livraison}
    {if $livraison@first}<ul class="choiceList">{/if}
    <li class="choiceBlock clearfix">
        <div class="visual">
            {image src=$livraison.livraison_icon width=75 height=50 alt=$livraison.livraison_nom_nom class="img-responsive"}
        </div>
        <input type="radio" name="livraison_id" value="{$livraison.livraison_id}" data-type="{$livraison.livraison_type_id}" id="livraison_{$livraison.livraison_zone_id}" {$livraison.checked|default:''}/>
        <p class="radioLike"><span></span></p>
        <div class="mainInfos">
            <label for="livraison_{$livraison.livraison_zone_id}">
                <span class="title">{$livraison.livraison_nom_nom}</span>
                <span>{$livraison.livraison_nom_desc}</span>
            </label>
            {if $livraison.port_ttc == 0}
                <p class="price">{txt value="choix_mode_livraison_offerte" value="Offerte"}</p>
                {else}
                <p class="price">{price ttc=$livraison.port_ttc ht=$livraison.port_ht}</p>
            {/if}
        </div>
        <button type="button" class="tooltipLink hidden-xs" data-toggle="tooltip" data-placement="bottom" title="Tooltip on bottom">{include file="icons/tooltip.tpl"}</button>
    </li>
    {if $livraison@last}</ul>{/if}
    {foreachelse}
    <div>{txt value="Aucune livraison disponible"}</div>
{/foreach}

{block name="script-js"}
<script>
    $(document).ready(function() {

        var selected = $("input[name='livraison_id']:checked");
        change_type_livraison($(selected));

        $("input[name='livraison_id']").on("click", function () {
            change_type_livraison($(this));
        });

        function change_type_livraison(livraison) {
            var type_livraison = $(livraison).data("type");
            switch (type_livraison) {
                case 1 :
                    // Point relais
                    $(".adressDomWrapper").hide();
                    $(".relaisWrapper").show();
                    // change_adresse_shipping();
                    break;
                case 2 :
                    // Livraison domicile
                    $(".relaisWrapper").hide();
                    $(".adressDomWrapper").show();
                    break;
                default :
                    // Aucun type de livraison disponible
                    $(".adressDomWrapper").show();
                    $(".relaisWrapper").hide();
                    break;
            }

            $.ajax({
                type: "POST",
                url: '{url page="update-price"}',
                data: "livraison_id=" + $(livraison).val(),
                dataType: 'json',
                success: function (data) {
                    $('p.stepRecap.price').html(data.ttc+" €");
                }
            });
        }
    });
</script>
{/block}