{extends file='layout/layout.tpl'}
{block name='content'}

    <!--order-->

    <div class="processPage paymentPage">
        <div class="container">
            {* //NAV STEPS *}
            <div class="row hidden-xs">
                <div class="col-sm-12">
                    {include file="order/nav.tpl" step=4}
                </div>
            </div>

            <section class="processStep">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="stepTitle">
                            <h2 class="titleLvl2">{txt value="Mon panier" key="process_step_name_panier"}</h2>
                            <a href="{url page="panier"}" class="secondaryLink">{txt value="(Modifier)"}</a>
                            <p class="stepRecap price">{price ttc=$aPayerTTC ht=$aPayerHT}</p>
                        </div>
                    </div>
                </div>
            </section>
            <section class="processStep">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="stepTitle">
                            <h2 class="titleLvl2">{txt key="process_step_name_livraison" value="Livraison"}</h2>
                            <a href="{url page="coordonnees"}" class="secondaryLink">{txt value="(Modifier)"}</a>
                            <p class="stepRecap price hidden-xs">{$port.livraison_nom_nom}</p>
                        </div>
                    </div>
                </div>
            </section>
            {* NAV STEPS// *}

            <section class="processStep">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="stepTitle">
                            <h2 class="titleLvl2">{txt value="Paiement" key="process_step_name_paiement"}</h2>
                        </div>
                    </div>
                    <div class="clear"></div>

                    {if !empty($info)}
                        {include file="form/flash.tpl" class="error" messages=$info}
                    {/if}

                    <div class="col-lg-7 col-md-8 col-sm-7">
                        <form {*action="{url page="recapitulatif_post"}"*} method="post">
                            <h3 class="titleLvl4">{txt value="Mode de paiement"}</h3>
                            {if !empty($error)}
                                {include file="form/flash.tpl" class="error" messages=$error}
                            {/if}
                            <div class="paymentsWrapper">
                                {foreach $paiements as $paiement}
                                    {if $paiement@first}<ul class="choiceList">{/if}
                                    <li class="choiceBlock clearfix">
                                        <div class="visual">
                                            {image src=$paiement.paiement_image alt=$paiement.paiement_nom_nom width="340" height="340" class="img-responsive"}
                                        </div>
                                        <input type="radio" name="paiement_id" value="{$paiement.paiement_id}" id="paiement_{$paiement.paiement_id}" {if $paiement@first}checked{/if} >
                                        <p class="radioLike"><span></span></p>
                                        <div class="mainInfos">
                                            <label for="paiement_{$paiement.paiement_id}">
                                                <span class="title">{$paiement.paiement_nom_nom}</span>
                                            </label>
                                        </div>
                                        <button type="button" class="tooltipLink hidden-xs" data-toggle="tooltip" data-placement="bottom" title="{$paiement.paiement_nom_description}">{include file="icons/tooltip.tpl"}</button>
                                    </li>
                                    {if $paiement@last}</ul>{/if}
                                {foreachelse}
                                    <div>Aucun mode de paiement disponible</div>
                                {/foreach}
                            </div>
                            <nav class="processBottomNav clearfix">
                                <div class="row">
                                    <div class="col-lg-5 col-md-5 col-sm-12 col-xs-12">
                                        <span class="text">{txt key="checkout_cgv" value="En validant votre commande vous acceptez l'intégralité de nos "}<a href="{url page="page" page_nom_url="cgv"}" target="_blank">{txt key="checkout_cgv_liens" value="Conditions générales de ventes."}</a></span>
                                    </div>
                                    <div class="col-lg-7 col-md-7 col-sm-12 col-xs-12">
                                        <button type="submit" class="btn btnMain">{txt value="Valider et payer ma commande"}</button>
                                    </div>
                                </div>
                            </nav>
                        </form>
                    </div>
                    <aside class="col-lg-4 col-md-4 col-sm-5 col-lg-offset-1 col-md-offset-0">
                        <div class="orderRecapBloc clearfix">
                            <a class="titleCollapse withBg" role="button" data-toggle="collapse" href="#orderrecappanier" aria-expanded="true">
                                {txt value="Récapitulatif panier"}
                            </a>
                            <div class="collapse in" id="orderrecappanier">
                                <div class="recapPrices">
                                    <p class="delivTitle">{txt value="Total TTC hors livraison"}</p>
                                    <p class="delivAmount wrapRight">{price ttc=$sTotalTTC ht=$sTotalHT}</p>
                                    {if !empty($arrReduction)}
                                        {foreach $arrReduction as $reduction}
                                            {if empty($reduction.fdp_gratuit)}
                                                <p class="delivTitle">Code Promo : "{$reduction.code}"</p>
                                                <p class="delivAmount wrapRight">-{price ttc=$reduction.price}</p>
                                            {/if}
                                        {/foreach}
                                    {/if}
                                    <div class="clear"></div>
                                    <p class="delivTitle">{txt value="Livraison"}</p>
                                    <p class="delivAmount wrapRight">{if !empty($port.isgratuit)}{txt value="Offerte"}{else}{price ht=$port.port_ht ttc=$port.port_ttc}{/if}</p>
                                    <div class="clear"></div>
                                    <p class="totalTitle">{txt value="Total produits"}</p>
                                    <p class="totalAmount wrapRight">{price ttc=$aPayerTTC ht=$aPayerHT}</p>
                                    <div class="clear"></div>
                                    <p class="delivTitle">{txt value="Dont TVA"}</p>
                                    <p class="delivAmount wrapRight">{price ttc=$montantTva}</p>
                                </div>
                            </div>
                        </div>
                        <div class="orderRecapBloc clearfix">
                            <a class="titleCollapse withBg" role="button" data-toggle="collapse" href="#orderlivraison" aria-expanded="true">
                                {txt value="Adresse et mode de livraison"}
                            </a>
                            <div class="collapse in" id="orderlivraison">
                                <div class="col-xs-8">
                                    <p class="titleLvl4">{$port.livraison_nom_nom}</p>
                                </div>
                                <div class="col-xs-4">
                                    <a href="{url page="coordonnees"}" class="secondaryLink right">{txt value="Modifier"}</a>
                                </div>
                                <div class="col-xs-8">
                                    <div class="userAdress">
                                        <p class="addrName titleLvl4">{$shippingAdress.adresse_libelle}</p>
                                        <p>{$shippingAdress.adresse_nom} {$shippingAdress.adresse_prenom}</p>
                                        <p>{$shippingAdress.adresse_rue}</p>
                                        <p>{$shippingAdress.adresse_cp} {$shippingAdress.adresse_ville} {$shippingAdress.pays_nom_nom}</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="orderRecapBloc clearfix">
                            <a class="titleCollapse withBg" role="button" data-toggle="collapse" href="#orderfacturation" aria-expanded="true">
                                {txt value="Adresse de facturation"}
                            </a>
                            <div class="collapse in" id="orderfacturation">
                                <div class="col-xs-8">
                                    <div class="userAdress">
                                        <p class="addrName titleLvl4">{$billingAdress.adresse_libelle}</p>
                                        <p>{$billingAdress.adresse_nom} {$billingAdress.adresse_prenom}</p>
                                        <p>{$billingAdress.adresse_rue}</p>
                                        <p>{$billingAdress.adresse_cp} {$billingAdress.adresse_ville} {$billingAdress.pays_nom_nom}</p>
                                    </div>
                                </div>
                                <div class="col-xs-4">
                                    <a href="modify_factu_cart" data-billingid="{$billingAdress.adresse_id}" class="secondaryLink right">{txt value="Modifier"}</a>
                                </div>
                            </div>
                        </div>
                    </aside>
                </div>
                <div id="billing_modify" class="hidden-xs">

                </div>
            </section>

        </div>
    </div>
{/block}

{block name="script-js"}
    <script type="text/javascript">
        $(document).ready(function(){
            loadMoreRelais();

            $("a[href='modify_factu_cart']").on("click", function(e){
               e.preventDefault();
               modify_factu_cart($(this).data("billingid"));
            });

        });


        // Gestion de modification d'adresse depuis le cart
        function modify_factu_cart(adress_id)
        {
            $.ajax({
                type: "POST",
                url: "/account/address/adress-cart",
                data: "adress_id=" + adress_id + "&frompage=recap",
                success: function (data){
                    div = $("#billing_modify");
                    div.html(data);
                    div.show();
                }
            });
        }
    </script>
{/block}