{extends file="layout/layout.tpl"}

{block name="content"}
    <!--panier-->
    <div class="processPage cartPage">
        <div class="container">
            {* //NAV STEPS *}
            <div class="row hidden-xs">
                <div class="col-sm-12">
                    {include file="order/nav.tpl" step=1}
                </div>
            </div>
            {* NAV STEPS// *}
            {if !empty($bloc_message_panier)}
                <div class="row">
                    <div class="col-xs-12">
                        <div class="topMsg" style="background-color: {$bloc_message_panier.0.ads_couleur|default:'#00c48c'};">{$bloc_message_panier.0.ads_nom_texte}</div>
                    </div>
                </div>
            {/if}
        </div>

        <div class="container">
            <div class="row">
                <div class="col-xs-12">
                    <div class="tableInDivs">
                        <div class="tableHead clearfix hidden-xs">
                            <p class="th colDes33">{txt value="Produits"}</p>
                            <p class="th colDes16 wrapRight">{txt value="Prix unitaire"}</p>
                            <p class="th colDes25 wrapCenter colQty">{txt value="Quantité"}</p>
                            <p class="th colDes16 wrapRight">{txt value="Prix total"}</p>
                            <p class="th colDes10 wrapCenter">{txt value="Suppr."}</p>
                        </div>
                        <div class="tableBody">
                            <div id="listingCart">
                                {foreach $caddie as $cad}
                                    {include file="product/panier.tpl" produit=$cad}
                                {foreachelse}
                                    <div class="tableRow">
                                        <div class="col colDes100 text-center">
                                            <p>{txt key="panier_vide" value="Aucun produit dans votre panier"}</p>
                                        </div>
                                    </div>
                                {/foreach}
                            </div>
                        </div>
                    </div>
                </div>
                <div class="clear"></div>

                <div class="col-lg-4 col-md-4 col-sm-6 col-md-push-7 col-sm-push-6">
                    <div class="recapPrices" data-role="recap">
                        <div>
                            {if !empty($arrReduc)}
                                {foreach from=$arrReduc item=montant key=code}
                                    <form action="{url page="delete_reduction_cart"}" method="post">
                                        <input type="hidden" value="{$code}" name="codeReduc">
                                        <p class="delivTitle">{txt value="Code promo"} {$code|upper}</p>
                                        <p class="delivAmount wrapRight">
                                            {$montant}
                                            <input type="submit" value="X"></p>
                                    </form>
                                {/foreach}
                            {/if}
                            <p class="totalTitle">{txt value="Total produits"}</p>
                            <p class="totalAmount wrapRight">{price ttc=$sTotalTTC ht=$sTotalHT}</p>
                            <p class="delivTitle">{txt value="Livraison"}</p>
                            <p class="delivAmount wrapRight">
                                {if !empty($port.isgratuit)}
                                    {txt value="Offerte"}
                                    {elseif !empty($port)}
                                    {price ttc=$port.port_ttc ht=$port.port_ht}
                                {/if}
                            </p>
                        </div>
                    </div>
                </div>

                <div class="col-lg-4 col-md-4 col-sm-6 col-md-pull-4 col-sm-pull-6">
                    <div class="codePromo clearfix">
                        <a class="titleCollapse withBg collapsed" role="button" data-toggle="collapse" href="#code_promo_collapse" aria-expanded="false" aria-controls="collapseExample">
                            {txt value="Vous avez un code promo ?" key="panier_titre_code_promo"}
                        </a>
                        <div class="bodyCollapse withBg collapse" id="code_promo_collapse">
                            <div class="innerCollapse clearfix">
                                <form action="{url page="add_reduction_cart"}" class="wrapTextSubmit codePromoForm" data-target="#modalAddNews">
                                    <input type="text" id="codepromo" name="promotion_code" value="{$codePromo|default:''}">
                                    <input type="submit" value="" id="submitButtonPromotion">
                                </form>
                                <div data-role="messageTarget"></div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="clear"></div>
                {if !empty($caddie)}
                    <nav class="processBottomNav clearfix">
                        <div class="col-lg-4 col-md-4 col-sm-6 col-md-push-7 col-sm-push-6">
                            <div class="right">
                                <a href="{url page="coordonnees"}" class="btn btnMain">{txt value="Valider mon panier"}</a>
                            </div>
                        </div>
                        <div class="col-lg-4 col-md-4 col-sm-6 col-md-pull-4 col-sm-pull-6">
                            <div class="left">
                                <a href="{url page="home"}" class="mainLink reverse">{txt value="Poursuivre mes achats"}</a>
                            </div>
                        </div>
                    </nav>
                {/if}
            </div>
        </div>

    </div>

{/block}

{block name="script" append}
    <script>

        panier = new Panier();

        // Delete action
        $('a[data-delprod]').on('click',function(e){
            e.preventDefault();
            identifier = $(this).data("delprod");
            panier.delete(identifier);

        });

        // Change QTY action

        // btn +
        $('.qtyPlus').on('click', function(){
            // get input
            qtyInput = $(this).prev("input");
            // Get current qty
            qty = qtyInput.val();
            qty++;
            // Get identifier
            identifier = qtyInput.data("identifier");
            panier.update(identifier, qty);
        });

        // btn -
        $('.qtyMinus').on('click', function(){
            // get input
            qtyInput = $(this).next("input");
            // Get current qty
            qty = qtyInput.val();
            qty--;
            // Get identifier
            identifier = qtyInput.data("identifier");
            panier.update(identifier, qty);
        });

        // manuel
        $('input[type="number"]').on("change", function(){
            val = $(this).val();
            id = $(this).data("identifier");
            panier.update(id,val);
        });

        $("input#submitButtonPromotion").on('click',function (event) {
            event.preventDefault();
            var nForm = $("form.codePromoForm");
            submitFormReduction(nForm);
        });

        function submitFormReduction(nForm) {
            $.ajax({
                type: "POST",
                url: nForm.attr('action'),
                data:nForm.serialize(),
                dataType:'JSON',
                success: function(data) {
                    var toToggle =  $(nForm).attr('data-target');
                    if (data.status == true) {
                        $(toToggle + ' #modalAddNewsLabel').attr('class','success');
                        $(toToggle).on('hidden.bs.modal',function () {
                            location.reload();
                        });
                    } else {
                        $(toToggle + ' #modalAddNewsLabel').removeClass('error');
                    }
                    $(toToggle + ' #modalAddNewsLabel').html(data.message);
                    $(toToggle).modal('toggle');
                }
            });
        }
    </script>
{/block}
