{extends file="layout/layout.tpl"}

{block name="popup"}
    {include file="popup/update_panier.tpl"}
    {include file="popup/add_to_wishlist.tpl"}
    {include file="popup/mail_share.tpl"}
{/block}

{block name="content"}
 <!--product.tpl-->

<div class="productPage">
    <div class="hidden-xs">
        {Breadcrumb::getInstance()->render()}
    </div>

    <div class="mainProduct">
        <div class="container mainContainer">
            {*VISUALS*}
            <div class="col-lg-6 col-md-5 col-sm-5 col-xs-12">
                <div class="visuals clearfix">
                    <div class="row">
                        <div class="col-sm-10 col-sm-offset-2">
                            <div class="labels">
                                {if !(empty($p.promo))}
                                    <span class="labelTag promo">Promo</span>
                                {/if}
                                {if $p.prod_qte <= 0}
                                    <div class="labelNoStock">
                                        <div class="inner">
                                            <span>{txt value="Victime de son succès !" key="bandeau_hors_stock_texte"}</span>
                                        </div>
                                    </div>
                                {/if}
                            </div>
                            <div class="productMainSlider owl-carousel owl-responsive-1200" id="productCarousel">
                                {if !empty($arrImage)}
                                    {foreach $arrImage as $img}
                                        <div class="slide imgZoom" {if !empty($img.produit_attribut_id)}data-attr-id="{$img.produit_attribut_id}"{/if} data-dot='{image src=$img.produit_image alt=$img.produit_image_nom class="img-responsive"}'>
                                            {image src=$img.produit_image width="725" height="725" alt=$img.produit_image_nom class="img-responsive"}
                                            {*{image src=$img.produit_image width="480" height="643" alt=$img.produit_image_nom class="img-responsive"}*}
                                        </div>
                                    {/foreach}
                                {else}
                                    <div class="slide imgZoom" data-dot="<img src='{$themeFolder}/images/productImage.png' class='img-responsive'/>">
                                        <img src="{$themeFolder}/images/productImage.png" width="480" height="643" class="img-responsive"/>
                                    </div>
                                {/if}
                            </div>
                            <div class="clear"></div>
                        </div>
                    </div>
                </div>
            </div>
            {* /VISUALS*}
            {*MAIN INFOS*}
            <div class="col-lg-4 col-md-5 col-sm-7 col-xs-12 col-md-offset-1 col-sm-offset-0">
                <div class="mainInfos">
                    <h1 class="titleLvl2 title">
                        <span class="mainText">{$p.produit_nom_nom}</span>
                        <span class="brandTitle">{$p.marque_nom}</span>
                    </h1>
                    <div class="row">
                        <div class="col-md-5">
                            <p class="stockInfo">
                                {if $p.prod_qte > 0}
                                    <span class="stock inStock">{txt value="En Stock"}</span>
                                {else}
                                    {if $p.prod_appro == 1}
                                        <span class="stock reapro">{txt value="En réapprovisionnement"}</span>&nbsp;{txt value="Chez vous sous 2 semaines"}
                                    {else}
                                        <span class="stock out">{txt value="Non Disponible"}</span>
                                    {/if}
                                {/if}
                            </p>
                        </div>
                        <div class="col-md-7">
                            <p class="brandLink">
                                <a href="{url page="marque" marque_id=$p.marque_id marque_nom=$p.marque_nom}" class="secondaryLink">
                                    <span>{txt value="Tous les produits"} {$p.marque_nom} ></span>
                                </a>
                            </p>
                        </div>
                    </div>
                    <div class="productPrice">
                        <p class="current {if !empty($p.promo)}promo{/if}">{price ttc=$p.produit_prix_ttc ht=$p.produit_prix_ht}</p>

                        {if !empty($p.promo)}
                            <p class="old">{price ttc=$p.prix_ttc ht=$p.prix_ht}</p>
                            <p class="percent">-{$p.promo_percent}%</p>
                        {/if}
                    </div>
                    <form action="{url page="add_cart"}" method="post" name="form-add-cart" data-target="#modalAddCart">
                        <input type="hidden" name="produit_id" value="{$p.produit_id}" />
                        {if !empty($attrs)}
                            <div class="productAttributes clearfix">
                                <div class="form-group">
                                    <select class="selectpicker" name="produit_attribut_id">
                                        {foreach $attrs as $attr}
                                            <option value="{$attr.produit_attribut_id}">{$attr.produit_option_valeur_nom}</option>
                                        {/foreach}
                                    </select>
                                </div>
                            </div>
                        {/if}
                        <div class="addTo">
                            <div class="row">
                                <div class="col-xs-12">
                                    <p class="qtyTitle">{txt value="Quantité :"}</p>
                                    <div class="qty">
                                        <button class="qtyMinus">-</button>
                                        <input type="number" id="inputQte" name="quantite" value="1">
                                        <button class="qtyPlus">+</button>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-xs-12">
                                    <button class="btn btnMain wide" {if $p.prod_qte <= 0 && $p.prod_appro == 0} disabled {/if}>{txt value="Ajouter au panier"}</button>
                                </div>
                                {*<div class="col-lg-2 col-md-2 col-sm-2 col-xs-3">*}
                                    {*<button class="btn btnSecondary btnWish wide" data-wishlist-target="{url page="add_wishlist"}" id="addWishlist" data-target-add="#modalAddWishlist">{include file="icons/like.tpl"}</button>*}
                                {*</div>*}
                            </div>
                        </div>
                    </form>
                    <p class="stockInfo">
                        {if $p.prod_qte > 0}
                            <span class="stock inStock">{txt value="En Stock"}</span>
                        {else}
                            {if $p.prod_appro == 1}
                                <span class="stock reapro">{txt value="En réapprovisionnement"}</span>&nbsp;{txt value="Chez vous sous 2 semaines"}
                            {else}
                                <span class="stock out">{txt value="Non Disponible"}</span>
                            {/if}
                        {/if}
                    </p>
                    {*<p id="addWishlistStatusSuccess" hidden>*}
                          {*{txt key="produit_ajoute_wishlist" value="Cet article a été placé dans vos préféres ,"}*}
                        {*<a href="{url page="compte_wishlist"}">{txt key="produit_ajoute_wishlist_lien" value="ici."}</a>*}
                    {*</p>*}
                    {*<p id="addWishlistStatusFailure" hidden>*}
                        {*Impossible d'ajouter ce produit a votre list de préféres.*}
                    {*</p>*}
                </div>
            </div>
            {* /MAIN INFOS*}
        </div>
        {*DESCRIPTION*}
        <div class="container">
            <div class="col-xs-12">
                <div class="productDesc description preview">
                    <div class="descriptionBody">
                        {if !empty($p.produit_nom_desc)}
                            <h2 class="titleLvl3">{txt value="Description"}</h2>
                            <div class="descContent">
                                {$p.produit_nom_desc}
                            </div>
                        {/if}
                    </div>
                    <div class="descriptionFooter hidden-lg hidden-md hidden-sm">
                        <div class="descriptionFooterContainer">
                            <a href="#" class="mainLink descriptionFooterLink" data-toggle="button" aria-pressed="false">
                                <span class="textReadMore">Lire la suite</span>
                                <span class="textReadLess hidden">Masquer</span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        {*{/if}*}
        {*/ DESCRIPTION*}
    </div>

    {*CROSSSELLING*}
    {if !empty($arrAssoc)}
        <div class="crossSelling clearfix">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="productsSliderWrapper">
                            <div class="sliderTitle">
                                <h2 class="titleLvl1">{txt value="Vous aimerez aussi"}</h2>
                            </div>
                            <div class="productsSlider owl-carousel owl-responsive-1200">
                                {foreach $arrAssoc as $pa}
                                    <div class="slide">
                                        {include file="product/product_abstract.tpl" produit=$pa slider=true}
                                    </div>
                                {/foreach}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    {/if}
    {* /CROSSSELLING*}
</div>


{/block}

{block name="script-js"}
    <script type="text/javascript">
        $(document).ready(function(){
            loadMoreReviews();
            customPopover();
            zoomWithinImage();

            var panier = new Panier();

            $('form[name="form-add-cart"]').on('submit', function(event){
                event.preventDefault();
                panier.add($(this));
                {* un delay de 0.5 secondes laisser le temps a l'appler ajax add() de terminer *}
                setTimeout(function (e) {
                    $.ajax({
                        type: "POST",
                        url: "{url page="update-nb-articles"}",
                        dataType:'JSON',
                        success: function(data) {
                            $("span.count").html(data.nb_articles);
                        }
                    });
                }, 500)
            });

            $('a#openShareMail').on('click',function (e) {
                e.preventDefault();
            //    popupMail
                $.ajax({
                    type: "POST",
                    url: "{url page="popupMail"}",
                    data: "produit_id={$p.produit_id}",
                    success: function(data) {
                        $('#wrapMailShareContent').html(data);
                        $('#modalMailShare').modal('toggle');
                    }
                });
            });


            $('button#addWishlist').on('click', function (event) {
                event.preventDefault();
               addwishlist($(this), $('form[name="form-add-cart"]'));
            });

            $('select[name=produit_attribut_id]').on('change',function (e) {
                e.preventDefault();
                var attr_id = $(this).val();
                var index = $("[data-attr-id="+attr_id+"]").parent().index();
                if(index >= 0){
                    $('#productCarousel').trigger('to.owl.carousel', index);
                }
            });


            var inputQte =  $('#inputQte');

            $(".qtyMinus").on('click',function(e) {
                e.preventDefault();
                if(parseInt(inputQte.val()) === 1){
                    inputQte.val(1);
                } else {
                    inputQte.val(parseInt(inputQte.val()) - 1);
                }
            });

            $(".qtyPlus").on('click',function(e) {
                e.preventDefault();
                inputQte.val(parseInt(inputQte.val()) + 1);
            });

            $(inputQte).on('change',function (e) {
                if(parseInt(inputQte.val()) <= 0){
                    inputQte.val(1);
                }
            });
        });
    </script>
{/block}